package net.roseindia.example;

import java.util.List;

import net.roseindia.hibernate.model.Contact;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;

public class NamedQueryExample {
	public static void main(String[] args) {
		Session session = null;

		try{			
			SessionFactory sessionFactory = new Configuration().configure().buildSessionFactory();
			session =sessionFactory.openSession();
			
			Query query = session.getNamedQuery("findContactByFirstName").setString("firstName", "Ravi");
			List results = query.list();
			System.out.println("No of Results: " + results.size());		 	
			
		}catch(Exception e){
			System.out.println(e.getMessage());
		}finally{			
			session.flush();
			session.close();

			}
		
	}
}
